libzypp 17.37.10

MediaProducts.h File Reference

Functions to find out products in media. More...

`#include <iterator>`
`#include <iostream>`
`#include <fstream>`
`#include <zypp/ZConfig.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/media/MediaManager.h>`
`#include <utility>`
`#include <zypp-core/base/UserRequestException>`
`#include <zypp-core/ui/ProgressData>`

Go to the source code of this file.

## Classes
struct | zypp::MediaProductEntry
| Represents an available product in media. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zypp::MediaProductSet = std::set<MediaProductEntry>
| A set of available products in media.

## Functions
template<class TOutputIterator>
static void | zypp::scanProductsFile (const Pathname &file_r, TOutputIterator result)
| FIXME: add a comment here...
template<class TOutputIterator>
void | zypp::productsInMedia (const Url &url_r, TOutputIterator result)
| Available products in a url location.
void | zypp::productsInMedia (const Url &url_r, MediaProductSet &set)
| Available products in a url location.

## Detailed Description

Functions to find out products in media.

Definition in file MediaProducts.h.